diff profiles/xSMALL_/files/etc/periodic/daily/420.status-network @ 209:b7812d60bbcd

More small than SMALL_ profile :)
author ray@terran.dlink.ua
date Sat, 15 Oct 2011 02:31:07 +0300
parents
children
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/profiles/xSMALL_/files/etc/periodic/daily/420.status-network	Sat Oct 15 02:31:07 2011 +0300
@@ -0,0 +1,29 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+
+# If there is a global system configuration file, suck it in.
+#
+if [ -r /etc/defaults/periodic.conf ]
+then
+    . /etc/defaults/periodic.conf
+    source_periodic_confs
+fi
+
+case "$daily_status_network_enable" in
+    [Yy][Ee][Ss])
+	echo ""
+	echo "Network interface status:"
+
+	case "$daily_status_network_usedns" in
+	    [Yy][Ee][Ss])
+		netstat -i && rc=0 || rc=3;;
+	    *)
+		netstat -in && rc=0 || rc=3;;
+	esac;;
+
+    *)  rc=0;;
+esac
+
+exit $rc